#pragma once
#include <exception>

class NumberFormatException : public std::exception
{
public:
    NumberFormatException(const char *message);
    virtual ~NumberFormatException(void);
    const char* what() const;
private:
    char *m_message;
};

